Return all transactions
curl --request POST \
--url https://billing.funnelfox.com/{org_id}/v1/transaction_report \
--header 'Content-Type: application/json' \
--header 'ff-secret-key: <api-key>' \
--data '
{
"last_transaction_date": "2023-11-07T05:31:56Z",
"subs_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"oneoff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 100
}
'import requests
url = "https://billing.funnelfox.com/{org_id}/v1/transaction_report"
payload = {
"last_transaction_date": "2023-11-07T05:31:56Z",
"subs_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"oneoff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 100
}
headers = {
"ff-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ff-secret-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
last_transaction_date: '2023-11-07T05:31:56Z',
subs_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
oneoff_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
limit: 100
})
};
fetch('https://billing.funnelfox.com/{org_id}/v1/transaction_report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pp_id": 123,
"pp_version": 123,
"status": "<string>",
"is_cit": true,
"integration_type": "<string>",
"region": "<string>",
"amount": 123,
"currency_code": "<string>",
"trx_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"psp": "<string>",
"psp_transaction_id": "<string>",
"amount_usd": 123,
"is_fallback": true,
"psp_merchant_id": "<string>",
"psp_transaction_type": "<string>",
"psp_status": "<string>",
"psp_date": "2023-11-07T05:31:56Z",
"psp_card_token_type": "<string>",
"psp_reason_message": "<string>",
"psp_reason_type": "<string>",
"psp_reason_code": "<string>",
"psp_reason_decline_type": "<string>",
"trx_created_at": "2023-11-07T05:31:56Z",
"meta_subs_id": "<string>",
"meta_subs_iteration": "<string>",
"meta_retry_step": "<string>",
"meta_oneoff_id": "<string>",
"meta_client_ff_project_id": "<string>",
"meta_client_ff_session_id": "<string>",
"meta_client_ff_price_id": "<string>",
"meta_client": {},
"pm_type": "<string>",
"threeds_challenge_issued": true,
"threeds_protocol_version": "<string>",
"threeds_response_code": "<string>",
"threeds_reason_code": "<string>",
"threeds_reason_text": "<string>",
"authorization_type": "<string>",
"is_vaulted": true,
"pm_data_bin_account_funding_type": "<string>",
"pm_data_bin_account_number_type": "<string>",
"pm_data_bin_issuer_name": "<string>",
"pm_data_bin_issuer_country_code": "<string>",
"pm_data_bin_issuer_currency_code": "<string>",
"network": "<string>",
"pm_data_bin_prepaid_reloadable_indicator": "<string>",
"pm_data_bin_product_code": "<string>",
"pm_data_bin_product_name": "<string>",
"pm_data_bin_product_usage_type": "<string>",
"pm_data_bin_regional_restriction": "<string>",
"pm_data_expiration_date": "<string>",
"pm_data_first6": "<string>",
"pm_data_last4": "<string>",
"pm_data_is_network_tokenized": true
}
]
}Information
Return all transactions
Retrieve a paginated list of all transactions for the organization.
POST
/
transaction_report
Return all transactions
Authorizations
Secret key for FunnelFox Billing API. Required for all requests.
Path Parameters
Organization ID
Body
application/json
Response
200 - application/json
List of transactions
Transaction info
Show child attributes
Show child attributes
Was this page helpful?
⌘I
